Bug 57644 - please fix warnings in XPM .h files
please fix warnings in XPM .h files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-17 22:00 EST by Jamie Zawinski
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-19 04:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Zawinski 2001-12-17 22:00:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13smp i686; Nav)

Description of problem:
XFree86-devel-4.1.0-3

To ensure maximal ANSI C compliance, I always compile with these
options:

  gcc -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
      -std=c89 -U__STRICT_ANSI__

I get some warnings that are not my fault; it would be nice if
you could fix these in your header files.  The problem here is
that some of your declarations are of the form "foo()" instead
of the form "foo(void)".

/usr/X11R6/include/X11/xpm.h:395: warning: function declaration isn't a
prototype
/usr/X11R6/include/X11/xpm.h:403: warning: function declaration isn't a
prototype

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.compile against XFree86-devel-4.1.0-3 with those options
2.
3.
	

Additional info:
Comment 1 Mike A. Harris 2001-12-19 04:59:33 EST
These and many numerous other similar compile time warnings that come
from both compiling XFree86 itself, and also from building various
X software linking to X, are generic XFree86 issues, and not specific
to the Red Hat distribution.

The fastest way to see these types of things fixed, is to report them
directly upstream to XFree86 via their bug report tool at:

http://www.xfree86.org/cgi-bin/bugform.cgi

Also, the libXpm is maintained separately from XFree86 itself I believe,
and merged from time to time, so it might even be faster to have them
fix it there, although I don't know where the libXpm site is.

Although I usually leave this sort of thing to upstream maintenance,
I do occasionally clean up warnings in X, so I'll leave the bug open.

I still recommend reporting it upstream though.

Note You need to log in before you can comment on or make changes to this bug.